<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b3ba50be-3b8d-441a-8e91-35865d2e3cb7" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/src/main/java/MaxMin.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/OddEven.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/Arraz.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/Arraz.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/ArrazTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/ArrazTest.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <splitter split-orientation="horizontal" split-proportion="0.5105198">
      <split-first>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/main/java/Arraz.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="4692">
                  <caret line="206" column="63" selection-start-line="206" selection-start-column="63" selection-end-line="206" selection-end-column="63" />
                  <folding>
                    <element signature="e#425#426#0" expanded="true" />
                    <element signature="e#482#483#0" expanded="true" />
                    <element signature="e#546#547#0" expanded="true" />
                    <element signature="e#610#611#0" expanded="true" />
                    <element signature="e#5210#5211#0" expanded="true" />
                    <element signature="e#5274#5275#0" expanded="true" />
                    <element signature="e#5670#5671#0" expanded="true" />
                    <element signature="e#5711#5712#0" expanded="true" />
                    <element signature="e#5843#5844#0" expanded="true" />
                    <element signature="e#5917#5918#0" expanded="true" />
                    <element signature="e#5894#5895#0" expanded="true" />
                    <element signature="e#5954#5955#0" expanded="true" />
                    <element signature="e#6020#6021#0" expanded="true" />
                    <element signature="e#6074#6075#0" expanded="true" />
                    <element signature="e#6222#6223#0" expanded="true" />
                    <element signature="e#6287#6288#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-first>
      <split-second>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/test/java/ArrazTest.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="138">
                  <caret line="6" column="31" selection-start-line="6" selection-start-column="31" selection-end-line="6" selection-end-column="31" />
                  <folding>
                    <element signature="imports" expanded="true" />
                    <element signature="e#3882#3883#0" expanded="true" />
                    <element signature="e#3950#3951#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/src/main/java/MaxMin.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="230">
                  <caret line="10" column="49" selection-start-line="10" selection-start-column="49" selection-end-line="10" selection-end-column="49" />
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/src/main/java/OddEven.java">
              <provider selected="true" editor-type-id="text-editor" />
            </entry>
          </file>
        </leaf>
      </split-second>
    </splitter>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>remove</find>
      <find>remov</find>
      <find>new Integ</find>
      <find>int</find>
      <find>system</find>
    </findStrings>
    <replaceStrings>
      <replace>Integer</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/OddEven.java" />
        <option value="$PROJECT_DIR$/src/main/java/MaxMin.java" />
        <option value="$PROJECT_DIR$/src/test/java/ArrazTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/Arraz.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="x" value="-345" />
    <option name="y" value="-1080" />
    <option name="width" value="1920" />
    <option name="height" value="1080" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1544297526643" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/pom.xml" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.ArrazTest">
    <configuration name="ArrazTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.testInsertAtEnd" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="testInsertAtEnd" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.testInsertAtIndex" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="testInsertAtIndex" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.testInsertAtStart" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="testInsertAtStart" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.testMaxMin" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="testMaxMin" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ArrazTest" />
        <item itemvalue="JUnit.ArrazTest.testInsertAtStart" />
        <item itemvalue="JUnit.ArrazTest.testInsertAtEnd" />
        <item itemvalue="JUnit.ArrazTest.testInsertAtIndex" />
        <item itemvalue="JUnit.ArrazTest.testMaxMin" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b3ba50be-3b8d-441a-8e91-35865d2e3cb7" name="Default Changelist" comment="" />
      <created>1544151809976</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544151809976</updated>
      <workItem from="1544151813460" duration="21120000" />
      <workItem from="1544218395041" duration="11180000" />
      <workItem from="1544240763762" duration="101000" />
      <workItem from="1544240892972" duration="7676000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="ArrazTest_testMaxMin - 2018.12.08 at 14h 09m 54s.xml">
      <configuration name="ArrazTest.testMaxMin" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testMaxMin - 2018.12.08 at 14h 11m 15s.xml">
      <configuration name="ArrazTest.testMaxMin" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testMaxMin - 2018.12.08 at 14h 13m 40s.xml">
      <configuration name="ArrazTest.testMaxMin" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testInsertAtIndex - 2018.12.08 at 14h 14m 42s.xml">
      <configuration name="ArrazTest.testInsertAtIndex" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest - 2018.12.08 at 14h 24m 33s.xml">
      <configuration name="ArrazTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testInsertAtStart - 2018.12.08 at 14h 25m 26s.xml">
      <configuration name="ArrazTest.testInsertAtStart" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testInsertAtEnd - 2018.12.08 at 14h 27m 25s.xml">
      <configuration name="ArrazTest.testInsertAtEnd" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_testInsertAtStart - 2018.12.08 at 14h 27m 35s.xml">
      <configuration name="ArrazTest.testInsertAtStart" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest - 2018.12.08 at 14h 28m 38s.xml">
      <configuration name="ArrazTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest - 2018.12.08 at 14h 32m 04s.xml">
      <configuration name="ArrazTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="40077000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-345" y="-1080" width="1920" height="1080" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" weight="0.07028754" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.37424546" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.30784708" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" weight="0.3296875" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.3138833" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Database" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Maven" order="6" />
      <window_info anchor="right" id="Capture Analysis" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_192.jdk/Contents/Home/src.zip!/java/util/ArrayList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="486" column="12" selection-start-line="486" selection-start-column="7" selection-end-line="486" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_192.jdk/Contents/Home/src.zip!/java/util/List.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="210" column="12" selection-start-line="210" selection-start-column="12" selection-end-line="210" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.0/junit-4.0.jar!/org/junit/internal/runners/TestMethodRunner.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="94" selection-start-line="94" selection-end-line="94" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Arraz.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4692">
          <caret line="206" column="63" selection-start-line="206" selection-start-column="63" selection-end-line="206" selection-end-column="63" />
          <folding>
            <element signature="e#425#426#0" expanded="true" />
            <element signature="e#482#483#0" expanded="true" />
            <element signature="e#546#547#0" expanded="true" />
            <element signature="e#610#611#0" expanded="true" />
            <element signature="e#5210#5211#0" expanded="true" />
            <element signature="e#5274#5275#0" expanded="true" />
            <element signature="e#5670#5671#0" expanded="true" />
            <element signature="e#5711#5712#0" expanded="true" />
            <element signature="e#5843#5844#0" expanded="true" />
            <element signature="e#5917#5918#0" expanded="true" />
            <element signature="e#5894#5895#0" expanded="true" />
            <element signature="e#5954#5955#0" expanded="true" />
            <element signature="e#6020#6021#0" expanded="true" />
            <element signature="e#6074#6075#0" expanded="true" />
            <element signature="e#6222#6223#0" expanded="true" />
            <element signature="e#6287#6288#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/OddEven.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/MaxMin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="49" selection-start-line="10" selection-start-column="49" selection-end-line="10" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/ArrazTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="6" column="31" selection-start-line="6" selection-start-column="31" selection-end-line="6" selection-end-column="31" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#3882#3883#0" expanded="true" />
            <element signature="e#3950#3951#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>